/* 
 * xptstats.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#ifndef _XPTSTATS_H_
#define	_XPTSTATS_H_


#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <search.h>
#include "ip.h"

#define	OFF	0
#define	ON	1
#undef SHOW_DATA
#define FILE_EXT ".vin"
#define NS_MAX_DEF 20
#define T_MAX_DEF 1


struct Point {
  float x;
  float y;
};


/* Function definitions for xptstats.c */
extern void readpoints (char *filename, int *npoints, struct Point **points, float *xmin, float *xmax, float *ymin, float *ymax);
extern void exit_messg (char *str, int code);
extern void usage (char *progname);
extern void main (int argc, char **argv);

#endif /* _XPTSTATS_H_ */
